| hoogle | Source code | Contents | Index

Hoogle.DataBase.TypeSearch.Graphs

Documentation

data Graphs | Source

Constructors

Graphs |

entryInfo :: Index EntryInfo |
argGraph :: Graph |
resGraph :: Graph |

Instances

Show Graphs
BinaryDefer Graphs

newGraphs :: Aliases -> Instances -> [(Link Entry, TypeSig)] -> Graphs | Source

normType :: Aliases -> Instances -> TypeSig -> (Type, EntryInfo) | Source

graphsSearch :: Aliases -> Instances -> Graphs -> TypeSig -> [ResultReal] | Source

data S | Source

Constructors

S |

infos :: IntMap (Maybe ResultAll) |
pending :: Heap Int Result |
todo :: [(Maybe ArgPos, ResultArg)] |
instances :: Instances |
query :: EntryInfo |

resultsCombine :: Instances -> EntryInfo -> [(Maybe ArgPos, ResultArg)] -> [ResultReal] | Source

delResult :: State S [Result] | Source

addResult :: Maybe ArgPos -> ResultArg -> State S () | Source

Produced by Haddock version 2.4.2